
QGIS Application - Bug report #19851

crash report

2018-09-14 11:05 PM - Fernando Garay

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27675

Description

User Feedback

it does not depend on the data used, we carry out a process of digitization of cartographic layers, at the end of the process of drawing a

polygons layer we carry out the topological cleaning process and then the program closes. it crash

Report Details

Crash ID: d18c4994fb87486d9a0c28aa8cda8636b1928dea

Stack Trace

QTabletEvent::buttons :

QGraphicsItem::setRotation :

QgsMapCanvasItem::setRect :

QgsRubberBand::updateRect :

QgsRubberBand::reset :

version :

QMetaObject::activate :

QDockWidget::visibilityChanged :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::hideChildren :

QWidgetPrivate::hide_helper :

QWidget::setVisible :

QWidgetPrivate::close_helper :

QWidget::~QWidget :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::operator+= :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
Related issues:

Duplicates QGIS Application - Bug report # 19850: topology process? Closed 2018-09-14

History

#1 - 2018-09-15 03:43 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

duplicate of #19850

#2 - 2018-09-15 05:01 PM - Jürgen Fischer

- Duplicates Bug report #19850: topology process? added

#3 - 2018-09-23 02:40 PM - Jürgen Fischer

- Description updated

#4 - 2018-09-23 02:41 PM - Jürgen Fischer

- File deleted (problema qgis.txt)
